Bug 98401 - Supplied ssl.conf enables eNULL encryption
Supplied ssl.conf enables eNULL encryption
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-07-02 09:40 EDT by Jon Warbrick
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.0.47-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-12 07:01:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jon Warbrick 2003-07-02 09:40:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021203

Description of problem:
The supplied /etc/httpd/conf.d/ssl.conf sets SSLCipherSuite to include the eNULL
cipher suite. This is a security risk - if both ends of an SSL connection
support eNULL than an attacker can convince them that only these ciphers are
available and cause them to negotiate a connection using no encryption. eNULL
should therefore be disabled by default.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Look at /etc/httpd/conf.d/ssl.conf

Actual Results:  SSLCipherSuite contains eNULL

Expected Results:  SSLCipherSuite should not contain eNULL

Additional info:
Comment 1 Joe Orton 2003-07-02 11:48:54 EDT
Thanks for the report.
Comment 2 Jon Warbrick 2003-07-07 06:19:34 EDT
While I stand by the statement that having eNULL as an available cipher suite
is a bad idea, it looks as if my assertion that an attacker could cause this to 
be selected in preference to 'real' cipher suites is incorrect. On double
checking, I find that SSL correctly protects itself against man-in-th-middle
tampering of the initial handshake (which includes the choice of cipher suite).

I still think that this is a bug, but you can probably down-grade the severity.
Comment 3 Joe Orton 2003-09-12 07:01:02 EDT
This is fixed in Raw Hide, mod_ssl-2.0.47-4 and later.

Note You need to log in before you can comment on or make changes to this bug.